import javax.microedition.lcdui.*;
import javax.microedition.lcdui.game.*;
import java.io.*;

public class CanvasEventosGame extends Canvas {
	/* As dimenses do canvas	*/
	int altura, largura;

	/* A imagem */
	Image imgFundo;

	/* A posio onde a imagem ir ser desenhada	*/
	int imgX, imgY;

	public CanvasEventosGame() {

		altura = getHeight();
		largura = getWidth();

		/* criar a imagem de fundo							*/
		try {
			imgFundo = Image.createImage("/JavaPowered-2.png");
		} catch (IOException ioe) {
			System.err.println(ioe.getMessage());
		}

		/* inicialmente a imagem est centrada no ecr		*/
		imgX = largura/2;
		imgY = altura/2;

		/* determinar se o dispositivo gera "repeat events"	*/
		if (hasRepeatEvents()) {
			System.out.println("Canvas tem repeat events.");
		} else {
			System.out.println("Canvas no tem repeat events.");
		}
	}

	public void paint(Graphics g) {
		/* limpar o ecr		*/
		g.setColor(255, 255, 255);
		g.fillRect(0, 0, largura, altura);

		/* desenhar a imagem na posio determinada por imgX e imgY	*/
		g.drawImage(imgFundo, imgX, imgY, Graphics.HCENTER|Graphics.VCENTER);

	}


	/**
	 * Invocado quando o utilizador pressiona uma tecla.
	 */
	public void keyPressed(int keyCode) {

		/* mapear as teclas [2], [6], [8], e [4] para mover a imagem	*/
		switch(getGameAction(keyCode)) {
			case LEFT:
				imgX --;
				break;

			case RIGHT:
				imgX++;
				break;

			case UP:
				imgY--;
				break;

			case DOWN:
				imgY++;
				break;
		}
		repaint();
	}

}